Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation.jsf.components.facelets
Class ConverterTagHandler

    java.lang.Object
      com.sun.facelets.tag.TagHandler
          org.apache.myfaces.orchestra.conversation.jsf.components.facelets.ConverterTagHandler

All Implemented Interfaces:
  com.sun.facelets.FaceletHandler

    public class ConverterTagHandler

extends com.sun.facelets.tag.TagHandler

Field Summary

Fields inherited from class com.sun.facelets.tag.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`ConverterTagHandler(com.sun.facelets.tag.TagConfig config)`

Method Summary
`void` | `apply(com.sun.facelets.FaceletContext faceletContext, javax.faces.component.UIComponent parent)`
`protected static javax.faces.convert.Converter` | `createConverter(java.lang.String beanName)` Override this method in order to customise the bean instance.

Methods inherited from class com.sun.facelets.tag.TagHandler
`findNextByType, getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConverterTagHandler

    public ConverterTagHandler(com.sun.facelets.tag.TagConfig config)

Method Detail

### apply

    public void apply(com.sun.facelets.FaceletContext faceletContext,
                      javax.faces.component.UIComponent parent)
               throws java.io.IOException,
                      javax.faces.FacesException,
                      com.sun.facelets.FaceletException,
                      javax.el.ELException

  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`
    `com.sun.facelets.FaceletException`
    `javax.el.ELException`

### createConverter

    protected static javax.faces.convert.Converter createConverter(java.lang.String beanName)

  Override this method in order to customise the bean instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.